org.apache.flume.node

## Class StaticZooKeeperConfigurationProvider

- java.lang.Object
- - org.apache.flume.node.AbstractConfigurationProvider
  - - org.apache.flume.node.AbstractZooKeeperConfigurationProvider
    - - org.apache.flume.node.StaticZooKeeperConfigurationProvider

- All Implemented Interfaces:
    ConfigurationProvider

      public class StaticZooKeeperConfigurationProvider
      extends AbstractZooKeeperConfigurationProvider

- - ### Field Summary

    - ### Fields inherited from class org.apache.flume.node.AbstractZooKeeperConfigurationProvider

      `basePath, zkConnString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticZooKeeperConfigurationProvider(String agentName, String zkConnString, String basePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FlumeConfiguration` | `getFlumeConfiguration()`

    - ### Methods inherited from class org.apache.flume.node.AbstractZooKeeperConfigurationProvider

      `configFromBytes, createClient`

    - ### Methods inherited from class org.apache.flume.node.AbstractConfigurationProvider

      `getAgentName, getConfiguration, toMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticZooKeeperConfigurationProvider

          public StaticZooKeeperConfigurationProvider(String agentName,
                                              String zkConnString,
                                              String basePath)

  - ### Method Detail

    - #### getFlumeConfiguration

          protected FlumeConfiguration getFlumeConfiguration()

      Specified by:
        `getFlumeConfiguration` in class `AbstractConfigurationProvider`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.